/* Color */
:root {
  --primary: #1fbcff;
  --primary_light: #ebf9ff;
  --primary_shadow: #008fcc;
  --blue400: #1f75ff;
  --blue300: #478eff;
  --blue100: #99c0ff;
  --red10: #fff2f1;
  --red300: #ff4757;
  --gray900: #0f2034;
  --gray800: #273648;
  --gray700: #3f4d5d;
  --gray600: #4b5b69;
  --gray500: #5f6d79;
  --gray400: #7e8a95;
  --gray300: #9ba5af;
  --gray200: #b7c0c6;
  --gray100: #cdd5d9;
  --gray50: #e4ebed;
  --gray20: #eff3f5;
  --gray15: #f2f4f5;
  --gray10: #f7f8f9;
  --gray0: #ffffff;
  --kakao: #ffd500;
  --kakao_shadown: #ffdd00;
  --kakao_font: #5a0000;
}

/* 공통 */
html {
  margin: 0;
  padding: 0;
  background: var(--gray15);
}
body {
  margin: 0 auto;
  width: 100vw;
  max-width: 480px;
  min-width: 320px;
  min-height: 100vh;
  box-sizing: border-box;
  font-family: "Pretendard", "sans-serif";
  font-size: 1.1rem;
  line-height: 1.8rem;
  letter-spacing: -0.05rem;
  text-align: center;
  word-break: keep-all;
  overflow-x: hidden;
  background: var(--gray0);
  color: var(--gray800);
}

/* 레이아웃 */
#todays-quiz {
  position: relative;
  box-sizing: border-box;
  width: 100%;
  overflow-x: hidden;
  overflow-y: scroll; /* Enable vertical scrolling */
  scrollbar-width: none; /* For Firefox */
  /* background-color: var(--gray10); */
}
#todays-quiz::-webkit-scrollbar {
  display: none; /* For Chrome, Safari and Opera */
}
.start-graphic {
  text-align: center;
  margin-top: 40px;
  width: 50%;
}
#quiz-container {
  padding: 100px 24px 0;
  text-align: left;
  overflow-x: hidden;
}
#results-container {
  padding: 40px 24px 0;
  overflow-x: hidden;
}

/* 프로그래스바 */
header {
  position: fixed;
  top: 0;
  left: 50%;
  transform: translateX(-50%);
  padding: 0 24px;
  box-sizing: border-box;
  width: 100%;
  max-width: 480px;
  min-width: 320px;
  text-align: center;
  background: var(--gray0);
  z-index: 1000;
}
.top {
  position: relative;
  display: flex;
  justify-content: center;
  align-items: center;
  height: 48px;
}
.index {
  position: absolute;
  right: 0;
  font-size: 0.95rem;
  letter-spacing: 0.01rem;
  color: var(--gray600);
}
.current-quiz-index {
  font-weight: 600;
}
progress {
  margin-top: 8px;
  width: 100%;
  height: 16px;
  color: var(--primary);
  background: var(--gray15);
  border-radius: 1000px;
}
progress::-webkit-progress-bar {
  /* Chrome, Safari, Opera의 배경 */
  background: var(--gray15);
  border-radius: 1000px;
}
progress::-webkit-progress-value {
  /* Chrome, Safari, Opera의 진행 바 */
  background: var(--primary);
  border-radius: 1000px;
}
progress::-moz-progress-bar {
  /* Firefox의 진행 바 */
  background: var(--primary);
  border-radius: 1000px;
}

/* 폰트 */
h1 {
  padding: 80px 0 20px;
  text-align: center;
  font-size: 2rem;
  font-weight: 600;
  line-height: 3rem;
  color: var(--gray900);
}
h2 {
  font-size: 1.4rem;
  font-weight: 600;
  line-height: 2rem;
  color: var(--gray900);
}
h3 {
  font-size: 1.2rem;
  font-weight: 600;
  line-height: 1.7rem;
  color: var(--gray900);
}
h4 {
  text-align: center;
  font-size: 1.1rem;
  font-weight: 500;
  letter-spacing: 0.01rem;
  color: var(--gray900);
}
p {
  text-align: center;
  font-size: 1.3rem;
  line-height: 2rem;
  letter-spacing: -0.03rem;
  font-weight: 400;
  color: var(--gray700);
}
p.extra-info {
  padding-top: 10px;
  font-size: 0.9rem;
  line-height: 1.4rem;
  letter-spacing: -0.02rem;
  font-weight: 400;
  color: var(--gray600);
}

p.survey-text {
  padding-left: 40px;
  padding-top: 30px;
  font-size: 0.9rem;
  line-height: 1.2rem;
  letter-spacing: -0.02rem;
  font-weight: 600;
  text-align: left;
  color: var(--gray600);
}
.highlight {
  color: var(--blue300);
}

/* 버튼 */
a {
  font-size: 1rem;
  font-weight: 400;
  color: var(--blue300);
  text-decoration: underline;
}
button {
  text-align: center;
  font-size: 1.2rem;
  font-weight: 500;
  border-radius: 16px;
  cursor: pointer;
}
button:disabled,
button[disabled] {
  cursor: default;
  opacity: 0.3;
}
button:disabled:hover,
button[disabled]:hover {
  transform: none;
}
.cta-btn-start {
  margin-top: 50px;
  /* margin-bottom: 40px; */
  width: calc(100% - 48px);
  height: 60px;
  letter-spacing: 0.05rem;
  font-weight: 500;
  color: var(--gray0);
  background: var(--primary);
}
.cta-btn-start:hover {
  background: var(--primary_shadow);
}
.cta-btn-survey {
  margin-top: 10px;
  margin-bottom: 40px;
  width: calc(100% - 48px);
  height: 60px;
  letter-spacing: 0.05rem;
  font-weight: 500;
  color: var(--gray0);
  background: var(--primary);
}
.cta-btn:hover {
  background: var(--primary_shadow);
}

.cta-btn {
  margin-top: 50px;
  margin-bottom: 40px;
  width: calc(100% - 48px);
  height: 60px;
  letter-spacing: 0.05rem;
  font-weight: 500;
  color: var(--gray0);
  background: var(--primary);
}
.cta-btn:hover {
  background: var(--primary_shadow);
}

.kakao-link-btn {
  margin-top: 10px;
  margin-bottom: 40px;
  width: calc(100% - 48px);
  height: 60px;
  letter-spacing: 0.05rem;
  font-weight: 500;
  color: var(--kakao_font);
  background: var(--kakao);
}
.cta-btn:hover {
  background: var(--kakao_shadown);
}

.cta-btn {
  margin-top: 50px;
  margin-bottom: 40px;
  width: calc(100% - 48px);
  height: 60px;
  letter-spacing: 0.05rem;
  font-weight: 500;
  color: var(--gray0);
  background: var(--primary);
}
.cta-btn:hover {
  background: var(--primary_shadow);
}
.action-btn {
  margin-bottom: 12px;
  width: calc(100% - 48px);
  height: 60px;
  letter-spacing: 0.05rem;
  font-weight: 500;
  color: var(--gray600);
  background: var(--gray50);
}
#quiz-container .cta-btn,
#results-container .cta-btn {
  width: 100%;
}
#quiz-container .action-btn {
  width: 100%;
}
#results-container .action-btn {
  padding: 3px 14px;
  width: auto;
  height: auto;
  margin: 0;
  font-size: 0.9rem;
  letter-spacing: -0.05rem;
  color: var(--gray600);
  background: var(--gray50);
  border-radius: 6px;
}

/* 퀴즈 질문 스타일 */
.quiz-type {
  display: inline-block;
  margin-bottom: 12px;
  padding: 4px 6px;
  font-size: 0.85rem;
  line-height: 0.85rem;
  letter-spacing: 0;
  font-weight: 500;
  border: 1px solid var(--gray800);
  border-radius: 1000px;
}

/* 퀴즈 옵션 */
.options-container {
  margin: 28px 0;
  width: 100%;
}
.option-button {
  margin: 0;
  position: relative;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  color: var(--gray800);
  background: var(--gray15);
  border-radius: 16px;
}
button:disabled.correct-option,
button[disabled].correct-option,
button:disabled.correct-answer,
button[disabled].correct-answer {
  font-weight: 700;
  color: var(--primary);
  background: var(--primary_light);
  border: 1px solid var(--primary);
  opacity: 1;
}
button:disabled.incorrect-option,
button[disabled].incorrect-option {
  font-weight: 700;
  color: var(--red300);
  background: var(--red10);
  border: 1px solid var(--red300);
  opacity: 1;
}
.list-view {
  display: flex;
  flex-direction: column;
  gap: 8px;
}
.list-view .option-button {
  width: 100%;
  padding: 12px 32px;
  height: 88px;
  font-size: 1rem;
  line-height: 1.3rem;
  box-sizing: border-box;
}
.grid-view {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  grid-gap: 8px;
}
.grid-view .option-button {
  padding: 12px; /* 원하는 패딩 값 */
  height: 140px;
  box-sizing: border-box;
}
.option-number {
  position: absolute;
  top: 12px;
  left: 12px;
  width: 20px;
  height: 20px;
  text-align: center;
  font-size: 0.7rem;
  line-height: 20px;
  color: var(--gray0);
  background: var(--gray700);
  border-radius: 1000px;
}
.option-dot {
  display: none;
}
.option-button.ordering-button {
  height: 100px;
}
.ordering-button .option-number {
  display: none;
}
button:disabled.ordering-button,
button[disabled].ordering-button,
.ordering-button.selected {
  border: 1px dashed var(--gray50);
  background: var(--gray0);
  opacity: 1;
}
button:disabled.ordering-button span,
button[disabled].ordering-button span,
.ordering-button.selected span {
  display: none;
}
.option-button img {
  padding-bottom: 12px;
  width: 28px;
  height: 28px;
}
button:disabled.correct-option .option-number,
button[disabled].correct-option .option-number {
  color: var(--gray0);
  background: var(--primary);
}
button:disabled.incorrect-option .option-number,
button[disabled].incorrect-option .option-number {
  color: var(--gray0);
  background: var(--red300);
}

#order-display {
  margin-top: 40px;
  padding: 24px 28px;
  width: 100%;
  height: 112px;
  display: flex;
  align-items: center;
  align-content: center;
  gap: 4px;
  align-self: stretch;
  flex-wrap: wrap;
  box-sizing: border-box;
  border: 1px solid var(--gray50);
  border-radius: 16px;
}
#order-display span {
  display: flex;
  align-items: center;
  font-size: 1.2rem;
  font-weight: 500;
  color: var(--primary);
  background: var(--gray0);
  box-shadow: #1fbcff;
}
#order-display span::after {
  display: inline-block;
  margin: 0 16px;
  width: 24px; /* SVG 이미지의 너비 */
  height: 24px; /* SVG 이미지의 높이 */
  content: "";
  background-image: url("/images/chevron_right.png");
  background-size: contain;
  background-repeat: no-repeat;
}
#order-display span:last-child::after {
  content: none;
}

#feedback-container {
  margin-bottom: 20px;
  padding: 12px 24px 24px;
  width: 100%;
  text-align: left;
  color: var(--gray0);
  background: var(--gray900);
  box-sizing: border-box;
  border-radius: 16px;
}
.feedback-title {
  padding-bottom: 12px;
  display: flex;
  justify-content: space-between;
  align-items: center;
}
#feedback-container h2 {
  color: var(--gray0);
}
#feedback-container p {
  padding-bottom: 12px;
  text-align: left;
  font-weight: 300;
  color: var(--gray50);
}
#feedback-container.feedback-incorrect h2 {
  color: var(--red300);
}
@keyframes slideInFromRight {
  from {
    transform: translateX(100%);
  }
  to {
    transform: translateX(0);
  }
}
.slide-in-right {
  animation: slideInFromRight 0.5s ease-out forwards;
}
#results-container {
  background: var(--gray10);
}
#results-container h1 {
  padding-bottom: 0;
}
#results-container li {
  margin-bottom: 12px;
  padding: 24px;
  text-align: left;
  background: var(--gray0);
  border-radius: 16px;
  box-shadow: 0px 8px 10px -6px rgba(28, 55, 90, 0.1);
}
#results-container p {
  padding-bottom: 40px;
  font-size: 1.2rem;
  text-align: center;
}
#results-container h3 {
  padding: 0 0 12px;
}
#results-container span {
  font-size: 0.9rem;
  font-weight: 600;
}
#results-container .result-answer-correct {
  color: var(--primary);
}
#results-container .result-answer-incorrect {
  color: var(--red300);
}
.answer-detail {
  font-size: 0.9rem;
}
#results-container li p {
  padding-bottom: 12px;
  font-size: 1rem;
  line-height: 1.4rem;
  text-align: left;
}

.wrapper {
  background-color: var(--gray10);
  min-height: 100vh;
}
